package com.steerinfo.ems.trmmaterial.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.ems.trmmaterial.model.TRmMaterial;
import com.steerinfo.ems.trmmaterial.mapper.TRmMaterialMapper;
import com.steerinfo.ems.trmmaterial.service.ITRmMaterialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;

/**
 * TRmMaterial服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2019-10-12 03:00
 * 类描述
 * 修订历史：
 * 日期：2019-10-12
 * 作者：generator
 * 参考：
 * 描述：TRmMaterial服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tRmMaterialService")
public class TRmMaterialServiceImpl extends BaseServiceImpl<TRmMaterial, String> implements ITRmMaterialService {

    @Autowired
    private TRmMaterialMapper tRmMaterialMapper;

    @Override
    protected IBaseMapper<TRmMaterial, String> getMapper() {
        return tRmMaterialMapper;
    }

    @Override
    public List<TRmMaterial> getIdAndName() {
        return tRmMaterialMapper.getIdAndName();
    }

    @Override
    public Set<String> getBcode(String materialid) {
        return tRmMaterialMapper.getBcode(materialid);
    }

    @Override
    public String getMaxId() {
        return tRmMaterialMapper.getMaxId();
    }

    @Override
    public String getMaxNo() {
        return tRmMaterialMapper.getMaxNo();
    }


}
